Package org.apache.avro.generic

# Interface GenericContainer

All Known Subinterfaces:
  `GenericArray<T>`, `GenericEnumSymbol<E>`, `GenericFixed`, `GenericRecord`, `IndexedRecord`, `SpecificRecord`

All Known Implementing Classes:
  `GenericData.AbstractArray`, `GenericData.Array`, `GenericData.EnumSymbol`, `GenericData.Fixed`, `GenericData.Record`, `PrimitivesArrays.BooleanArray`, `PrimitivesArrays.DoubleArray`, `PrimitivesArrays.FloatArray`, `PrimitivesArrays.IntArray`, `PrimitivesArrays.LongArray`, `PrimitivesArrays.PrimitiveArray`, `SpecificExceptionBase`, `SpecificFixed`, `SpecificRecordBase`

public interface GenericContainer
Contains data of other types.

## Method Summary

Modifier and Type
Method
Description
`Schema`
`getSchema()`
The schema of this instance.

## Method Details

### getSchema

Schema getSchema()
The schema of this instance.